package com.ruoyi.ems.service;

import java.util.List;
import com.ruoyi.ems.domain.EmsFacsAttr;

/**
 * 能源设施/系统属性Service接口
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public interface IEmsFacsAttrService {
    /**
     * 查询能源设施/系统属性
     *
     * @param id 能源设施/系统属性主键
     * @return 能源设施/系统属性
     */
    EmsFacsAttr selectEmsFacsAttrById(Long id);

    /**
     * 查询能源设施/系统属性列表
     *
     * @param emsFacsAttr 能源设施/系统属性
     * @return 能源设施/系统属性集合
     */
    List<EmsFacsAttr> selectEmsFacsAttrList(EmsFacsAttr emsFacsAttr);

    /**
     * 新增能源设施/系统属性
     *
     * @param emsFacsAttr 能源设施/系统属性
     * @return 结果
     */
    int insertEmsFacsAttr(EmsFacsAttr emsFacsAttr);

    /**
     * 批量新增能源设施/系统属性
     *
     * @param emsFacsAttrs 能源设施/系统属性
     * @return 结果
     */
    int insertEmsFacsAttrBatch(List<EmsFacsAttr> emsFacsAttrs);

    /**
     * 修改能源设施/系统属性
     *
     * @param emsFacsAttr 能源设施/系统属性
     * @return 结果
     */
    int updateEmsFacsAttr(EmsFacsAttr emsFacsAttr);

    /**
     * 批量删除能源设施/系统属性
     *
     * @param ids 需要删除的能源设施/系统属性主键集合
     * @return 结果
     */
    int deleteEmsFacsAttrByIds(Long[] ids);

    /**
     * 删除能源设施/系统属性信息
     *
     * @param id 能源设施/系统属性主键
     * @return 结果
     */
    int deleteEmsFacsAttrById(Long id);

    /**
     * 删除能源设施/系统属性信息
     *
     * @param facsCode 设施编码
     * @return 结果
     */
    int deleteAttrByFacsCode(String facsCode);
}
